Tri sheme
Vsaka shema je kratek del besedila, ki ga telefon zna predati pravi aplikaciji. mailto: odpre e-poštno aplikacijo, tel: odpre klicalnik, sms: pa aplikacijo za sporočila, s prejemnikom in včasih že izpolnjenim sporočilom.
Telefonske številke najbolje delujejo v mednarodni obliki s plusom in klicno kodo države, na primer +15035550123, da koda deluje tudi za obiskovalce iz drugih držav.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (starejši dogovor, ki ga še vedno široko berejo)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (starejši dogovor za e-pošto)
Kodiranje besedila sporočila
Zadeve in telesa sporočil v povezavah mailto in sms morajo biti kodirani v odstotkovni obliki (percent-encoding), zato presledek postane %20, znak & znotraj besedila pa %26. Nekodirani znaki lahko sporočilo skrajšajo ali pokvarijo povezavo.
Platforme parametra telesa sms niso vedno razčlenjevale enako, zato je starejša oblika SMSTO: v ustvarjalnikih kod QR še vedno pogosta. Zanesljivo preverjanje je preizkus na iPhonu in Androidu pred tiskom.
Česa te kode ne zmorejo
Koda QR sama ne more poslati e-pošte, sporočila SMS ali opraviti klica. Samo odpre aplikacijo z izpolnjenimi polji, oseba, ki skenira, pa se odloči, ali bo pritisnila pošlji ali pokliči.
Ker je prejemnik viden pred pošiljanjem, naj ljudje preverijo, ali ustreza pričakovanju. Koda, ki vnaprej izpolni sporočilo za številko s posebno tarifo ali neznan naslov, je opozorilni znak.